## kpublictransport 22.04.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

find_package(ECM 5.91 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)
include(ECMQmlModule)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPUBLICTRANSPORT
    VERSION_HEADER kpublictransport_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    SOVERSION 1
)

find_package(Qt5 5.15 REQUIRED COMPONENTS Quick)

if (BUILD_TESTING)
    find_package(Qt5 5.15 REQUIRED COMPONENTS Test Widgets)
endif()

find_package(ZLIB REQUIRED)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating line metadata tables (you don't need this for distribution)")
if (NOT CMAKE_CROSSCOMPILING)
    find_package(PolyClipping)
    set_package_properties(PolyClipping PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for processing coverage area data from the Transport API Repository (you don't need this for distribution)")
endif()

if (NOT WIN32)
    find_package(Protobuf)
    set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPublicTransport")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPublicTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

install(EXPORT KPublicTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPublicTransportTargets.cmake)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPublicTransport_QCH
        FILE KPublicTransportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPublicTransportQchTargets.cmake\")")
endif()

=== debian/changelog ===
kpublictransport (22.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix the Maintainer to be the canonical address.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.91.0
  * Update symbols file.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Jun 2022 05:02:52 +0200

kpublictransport (21.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * Bump versions to 21.12.3 in symbols file.
  * Update qml-module-org-kde-kpublictransport.install.
  * Update signing-key.asc.
  * Add libprotobuf-dev build dependency.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: use a more standard pipeline configuration.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Small no-op whitespace changes.
  * Slightly tighten the regexp for the library files.
  * Tighten kpublictransport-data dependency in libkpublictransport1.
  * Switch kpublictransport-data to Architecture: all & Multi-Arch: foreign,
    as it is a data-only package.
  * Update symbols file.
  * Remove the unused ${shlibs:Depends} substvar from libkpublictransport-dev,
    and kpublictransport-data.
  * Properly use the pkgkde_symbolshelper dh addon, so "subst" symbols properly
    work
    - add the pkg-kde-tools build dependency for it

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jun 2022 10:50:28 +0200

kpublictransport (21.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * Initial release (Closes: #1008242)

 -- Sandro Knauß <hefee@debian.org>  Fri, 22 Apr 2022 10:40:19 +0200

=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15),
               qtdeclarative5-dev (>= 5.15),
               zlib1g-dev,
               libprotobuf-dev
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
Rules-Requires-Root: no

Package: libkpublictransport1
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Library to assist with accessing public transport (binary)
 A library providing a public transport API.
 .
 This package contains the main data.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         ${misc:Depends},
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: qml-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends},
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

## kpublictransport 22.08.1

=== debian/changelog ===
kpublictransport (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:10 +0100

kpublictransport (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:39 +0100

kpublictransport (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:23 +0100

kpublictransport (22.04.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jun 2022 06:11:54 +0100

kpublictransport (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kpublictransport
 Priority: optional
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Build-Depends: cmake (>= 3.16),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
+               libprotobuf-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15),
                qtdeclarative5-dev (>= 5.15),
                zlib1g-dev,
-               libprotobuf-dev
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/libraries/kpublictransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
 Rules-Requires-Root: no
 
 Package: libkpublictransport1

## kpublictransport 22.12.1

=== debian/changelog ===
kpublictransport (22.12.1-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * New upstream release
  * Removed obsolete entries from libkpublictransport.install

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Added myself to the uploaders.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:45 +0100

=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               libprotobuf-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15),
               qtdeclarative5-dev (>= 5.15),
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
Rules-Requires-Root: no

Package: libkpublictransport1
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport (binary)
 A library providing a public transport API.
 .
 This package contains the main data.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}), ${misc:Depends}
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: qml-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends}
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

## kpublictransport 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})
 
 find_package(ECM 5.91 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddTests)
@@ -35,10 +35,14 @@
     SOVERSION 1
 )
 
-find_package(Qt5 5.15 REQUIRED COMPONENTS Quick)
+find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Quick)
+
+if (QT_MAJOR_VERSION STREQUAL 6)
+    find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Core5Compat)
+endif()
 
 if (BUILD_TESTING)
-    find_package(Qt5 5.15 REQUIRED COMPONENTS Test Widgets)
+    find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Test Widgets)
 endif()
 
 find_package(ZLIB REQUIRED)
@@ -54,6 +58,8 @@
     set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
 endif()
 
+set(KPUBLICTRANSPORT_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR}/KPublicTransport)
+
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
 add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
 add_subdirectory(src)
@@ -65,7 +71,7 @@
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPublicTransport")
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPublicTransport")
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KPublicTransportConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
@@ -78,7 +84,7 @@
     DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
     COMPONENT Devel
 )
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_version.h DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR} COMPONENT Devel)
 
 install(EXPORT KPublicTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPublicTransportTargets.cmake)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(osmtypetest.cpp LINK_LIBRARIES Qt::Test KOSM)
ecm_add_test(o5mparsertest.cpp LINK_LIBRARIES Qt::Test KOSM)

ecm_add_test(kgraphqlminimizertest.cpp LINK_LIBRARIES Qt::Test KGraphQL)

ecm_add_test(indexeddatatabletest.cpp LINK_LIBRARIES Qt::Test)

ecm_add_test(polylinetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ifopttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(uicstationcodetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(uicrailwaycoachtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(mergeutiltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(locationtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(linetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(departuretest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(journeytest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(journeyrequesttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(platformtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(notestest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(backendtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(linemetadatatest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(networkconfigtest.cpp LINK_LIBRARIES Qt::Test)
ecm_add_test(vehiclelayoutquerymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(locationhistorymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

ecm_add_test(navitiaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(hafasmgateparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(hafasqueryparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(hafasvehiclelayoutparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(efaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(deutschebahntest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(otpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(oebbparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ivvassparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(gbfsreadertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ojprequesttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ojpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

ecm_add_test(publictransportmanagertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(gbfstest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(accessibilitycloudtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(querytest querytest.cpp)
target_link_libraries(querytest Qt::Test KPublicTransport)
add_custom_target(run-querytest COMMAND querytest)

add_executable(departurequery departurequery.cpp departurequery.qrc)
target_link_libraries(departurequery KPublicTransport Qt::Quick Qt::Widgets)

add_executable(journeyquery journeyquery.cpp journeyquery.qrc)
target_link_libraries(journeyquery KPublicTransport Qt::Quick Qt::Widgets)

add_executable(locationquery locationquery.cpp locationquery.qrc)
target_link_libraries(locationquery KPublicTransport Qt::Quick Qt::Widgets)

add_executable(locationcompleter locationcompleter.cpp)
target_link_libraries(locationcompleter KPublicTransport Qt::Widgets)

add_executable(gbfsdiscover gbfsdiscover.cpp)
target_link_libraries(gbfsdiscover KPublicTransport Qt::Network)

add_executable(graphql-cli graphql-cli.cpp)
target_link_libraries(graphql-cli KGraphQL)

add_executable(overpassql-cli overpassql-cli.cpp)
target_link_libraries(overpassql-cli KOSM)

=== src/lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(knowledgedb)

add_library(KPublicTransport)


target_sources(KPublicTransport PRIVATE
    assetrepository.cpp
    journeyreply.cpp
    journeyrequest.cpp
    locationreply.cpp
    locationrequest.cpp
    manager.cpp
    reply.cpp
    requestcontext.cpp
    stopoverreply.cpp
    stopoverrequest.cpp
    vehiclelayoutreply.cpp
    vehiclelayoutrequest.cpp

    backends/abstractbackend.cpp
    backends/accessibilitycloudbackend.cpp
    backends/accessibilitycloudparser.cpp
    backends/cache.cpp
    backends/deutschebahnbackend.cpp
    backends/deutschebahnvehiclelayoutparser.cpp
    backends/efabackend.cpp
    backends/efaparser.cpp
    backends/efacompactparser.cpp
    backends/efaxmlparser.cpp
    backends/hafasbackend.cpp
    backends/hafasparser.cpp
    backends/hafasmgatebackend.cpp
    backends/hafasmgateparser.cpp
    backends/hafasquerybackend.cpp
    backends/hafasqueryparser.cpp
    backends/hafasvehiclelayoutparser.cpp
    backends/ivvassbackend.cpp
    backends/ivvassparser.cpp
    backends/navitiabackend.cpp
    backends/navitiaparser.cpp
    backends/oebbbackend.cpp
    backends/oebbvehiclelayoutparser.cpp
    backends/openjourneyplannerbackend.cpp
    backends/openjourneyplannerparser.cpp
    backends/openjourneyplannerrequestbuilder.cpp
    backends/opentripplannergraphqlbackend.cpp
    backends/opentripplannerparser.cpp
    backends/opentripplannerrestbackend.cpp
    backends/otp/otp.qrc
    backends/scopedxmlstreamreader.cpp

    datatypes/attribution.cpp
    datatypes/attributionutil.cpp
    datatypes/backend.cpp
    datatypes/coveragearea.cpp
    datatypes/disruption.cpp
    datatypes/equipment.cpp
    datatypes/equipmentutil.cpp
    datatypes/individualtransport.cpp
    datatypes/journey.cpp
    datatypes/journeyutil.cpp
    datatypes/json.cpp
    datatypes/line.cpp
    datatypes/lineutil.cpp
    datatypes/load.cpp
    datatypes/loadutil.cpp
    datatypes/location.cpp
    datatypes/locationutil.cpp
    datatypes/mergeutil.cpp
    datatypes/notesutil.cpp
    datatypes/path.cpp
    datatypes/platform.cpp
    datatypes/platformutils.cpp
    datatypes/rentalvehicle.cpp
    datatypes/rentalvehicleutil.cpp
    datatypes/stopover.cpp
    datatypes/stopoverutil.cpp
    datatypes/timeutil.cpp
    datatypes/variant.cpp
    datatypes/vehicle.cpp

    gbfs/gbfs.cpp
    gbfs/gbfs.qrc
    gbfs/gbfsbackend.cpp
    gbfs/gbfsjob.cpp
    gbfs/gbfsreader.cpp
    gbfs/gbfsservice.cpp
    gbfs/gbfsstore.cpp
    gbfs/gbfsvehicletypes.cpp

    geo/convexhull.cpp
    geo/geojson.cpp
    geo/polylinedecoder.cpp

    gtfs/hvt.cpp

    ifopt/ifoptutil.cpp

    knowledgedb/asset-attributions.qrc
    knowledgedb/linemetadata.cpp

    models/abstractquerymodel.cpp
    models/backendmodel.cpp
    models/journeyquerymodel.cpp
    models/locationhistorymodel.cpp
    models/locationquerymodel.cpp
    models/pathmodel.cpp
    models/stopoverquerymodel.cpp
    models/vehiclelayoutquerymodel.cpp

    networks/networks.qrc
    networks/certs/network_certs.qrc

    uic/uicrailwaycoach.cpp
    uic/uicstationcode.cpp
)
ecm_qt_declare_logging_category(KPublicTransport
    HEADER logging.h
    IDENTIFIER KPublicTransport::Log
    CATEGORY_NAME org.kde.kpublictransport
    DESCRIPTION "KPublicTransport"
    EXPORT KPUBLICTRANSPORT
)

generate_export_header(KPublicTransport BASE_NAME KPublicTransport)
set_target_properties(KPublicTransport PROPERTIES
    VERSION ${KPUBLICTRANSPORT_VERSION}
    SOVERSION ${KPUBLICTRANSPORT_SOVERSION}
    EXPORT_NAME KPublicTransport
)
target_include_directories(KPublicTransport PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KPublicTransport INTERFACE "$<INSTALL_INTERFACE:${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}>")
target_link_libraries(KPublicTransport
    PUBLIC
        Qt::Gui
    PRIVATE
        KGraphQL
        KOSM
        Qt::Network
        ZLIB::ZLIB
)

if (TARGET Qt6::Core5Compat)
    target_link_libraries(KPublicTransport PRIVATE Qt6::Core5Compat) # QTextCodec
endif()

ecm_generate_headers(KPublicTransport_FORWARDING_HEADERS
    HEADER_NAMES
        DepartureReply
        DepartureRequest
        JourneyReply
        JourneyRequest
        LocationReply
        LocationRequest
        Manager
        Reply
        StopoverReply
        StopoverRequest
        VehicleLayoutReply
        VehicleLayoutRequest
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_HEADERS
)
# # ### for testing only
ecm_generate_headers(KPublicTransport_Backends_FORWARDING_HEADERS
    HEADER_NAMES
        Cache
        HafasMgateParser
        NavitiaParser
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Backends_HEADERS
    RELATIVE backends
)
ecm_generate_headers(KPublicTransport_Datatypes_FORWARDING_HEADERS
    HEADER_NAMES
        Attribution
        Backend
        CoverageArea
        Datatypes
        Departure
        Disruption
        Equipment
        IndividualTransport
        Journey
        Line
        Load
        Location
        RentalVehicle
        Path
        Platform
        Stopover
        Vehicle
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Datatypes_HEADERS
    RELATIVE datatypes
)
ecm_generate_headers(KPublicTransport_Models_FORWARDING_HEADERS
    HEADER_NAMES
        AbstractQueryModel
        BackendModel
        DepartureQueryModel
        JourneyQueryModel
        LocationHistoryModel
        LocationQueryModel
        PathModel
        StopoverQueryModel
        VehicleLayoutQueryModel
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Models_HEADERS
    RELATIVE models
)

install(TARGETS KPublicTransport EXPORT KPublicTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
    EXPORT KPUBLICTRANSPORT
    FILE org_kde_kpublictransport.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
install(FILES
    ${KPublicTransport_FORWARDING_HEADERS}
    ${KPublicTransport_Datatypes_FORWARDING_HEADERS}
    ${KPublicTransport_Models_FORWARDING_HEADERS}
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/KPublicTransport
)
install(FILES
    ${KPublicTransport_HEADERS}
    ${KPublicTransport_Datatypes_HEADERS}
    ${KPublicTransport_Models_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_export.h
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/kpublictransport
)


if (BUILD_QCH)
    ecm_add_qch(
        KPublicTransport_QCH
        NAME KPublicTransport
        BASE_NAME KPublicTransport
        VERSION ${RELEASE_SERVICE_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${KPublicTransport_HEADERS}
        ${KPublicTransport_Datatypes_HEADERS}
        ${KPublicTransport_Models_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPUBLICTRANSPORT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/osm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (Protobuf_FOUND AND Protobuf_PROTOC_EXECUTABLE)
    set(HAVE_PROTOBUF TRUE)
    PROTOBUF_GENERATE_CPP(pbf_srcs pbf_hdrs
        pbf/fileformat.proto
        pbf/osmformat.proto
    )
    set(EXTRA_LIBS ${Protobuf_LIBRARIES} ZLIB::ZLIB)
    set_source_files_properties(${pbf_srcs} ${pbf_hdrs} PROPERTIES SKIP_AUTOMOC ON)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kosm.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kosm.h)

add_library(KOSM STATIC
    datatypes.cpp
    datasetmergebuffer.cpp
    element.cpp
    geomath.cpp
    o5mparser.cpp
    osmpbfparser.cpp
    overpassquery.cpp
    overpassquerymanager.cpp
    pathutil.cpp
    xmlparser.cpp
    xmlwriter.cpp
    ztile.cpp
    ${pbf_srcs}
)

target_include_directories(KOSM PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_include_directories(KOSM PRIVATE ${Protobuf_INCLUDE_DIRS})
target_link_libraries(KOSM PUBLIC Qt::Core PRIVATE Qt::Network ${EXTRA_LIBS})
set_target_properties(KOSM PROPERTIES POSITION_INDEPENDENT_CODE ON)

if (NOT BUILD_SHARED_LIBS)
    install(TARGETS KOSM EXPORT KPublicTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== src/lib/knowledgedb/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (CMAKE_CROSSCOMPILING OR NOT OSM_PLANET_DIR OR NOT OsmTools_FOUND)
    return()
endif()

# Extract route_master and route relation of relevant transport modes from a full planet-osm data file.
# The output of this acts as input for the code generator for the line meta data tables.

# extract all route and route_master relations with types we are interested in
# this can take ~15min and produces about 100MB of output
osm_filter(OUTPUT routes.o5m FILTER --keep=\"route_master=train or route_master=subway or route_master=tram or route=train or route=subway or route=tram or route_master=light_rail\")

# augment bounding box information
osm_convert(INPUT routes.o5m OUTPUT routes-bbox.o5m ADD_BBOX ON)

# drop all depending nodes/ways/relations we wont need
# this is merely to speed up the code generator, by reducing the resulting XML output to manageable sizes
osm_filter(INPUT routes-bbox.o5m OUTPUT routes-only.o5m FILTER --keep=\"route_master=train or route_master=subway or route_master=tram or route=train or route=subway or route=tram or route_master=light_rail\" --ignore-dependencies)

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/linemetadata_data.cpp
    COMMAND
        line-data-generator -o ${CMAKE_CURRENT_SOURCE_DIR}/linemetadata_data.cpp -i ${OSM_PLANET_DIR}/routes-only.o5m
    DEPENDS
        line-data-generator ${OSM_PLANET_DIR}/routes-only.o5m
)
add_custom_target(rebuild-knowledgedb DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/linemetadata_data.cpp)

=== debian/changelog ===
kpublictransport (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:58 +0100

kpublictransport (22.12.2-1) unstable; urgency=medium

  * Added tzdata dependency to pass tests (Closes: #1029425)
  * New upstream release

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 05 Feb 2023 14:19:47 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                pkg-kde-tools,
                qtbase5-dev (>= 5.15),
                qtdeclarative5-dev (>= 5.15),
+               tzdata <!nocheck>,
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/libraries/kpublictransport
@@ -35,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libkpublictransport1 (= ${binary:Version}), ${misc:Depends}
+Depends: libkpublictransport1 (= ${binary:Version}), ${misc:Depends},
 Description: Library to assist with accessing public transport (development files)
  A library providing a public transport API.
  .
@@ -45,7 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Section: kde
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Library to assist with accessing public transport (qml plugin)
  A QtQuick plugin providing a public transport API
  .
@@ -55,7 +56,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: kde
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Library to assist with accessing public transport (data files)
  The data files for a public transport API
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

## kpublictransport 23.04.2

=== debian/changelog ===
kpublictransport (23.04.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (23.04.2).
  * Update build-deps and deps with the info from cmake.
  * Update copyright.
  * Update symbols from build for 23.04.2.
  * Add new build-dep for Onboard service.
  * Add new library libkpublictransportonboard1.

 -- Sandro Knauß <hefee@debian.org>  Thu, 15 Jun 2023 23:06:55 +0200

=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               libkf5i18n-dev,
               libkf5networkmanagerqt-dev,
               libprotobuf-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15),
               qtdeclarative5-dev (>= 5.15),
               tzdata <!nocheck>,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
Rules-Requires-Root: no

Package: libkpublictransport1
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library to assist with accessing public transport
 A library providing a public transport API.
 .
 This package contains the main data.

Package: libkpublictransportonboard1
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library to assist with accessing public transport onboard system
 A library providing a public transport API.
 .
 This package contains the onboard library.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         libkpublictransportonboard1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: qml-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends}
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

## kpublictransport 23.04.3

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 ecm_add_test(polylinetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ifopttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(jsonptest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(uicstationcodetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(uicrailwaycoachtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(mergeutiltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
@@ -45,3 +46,5 @@
 ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(gbfstest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(accessibilitycloudtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+
+ecm_add_test(onboardstatustest.cpp LINK_LIBRARIES Qt::Test KPublicTransportOnboard Qt::Network)

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,8 @@
 
     ifopt/ifoptutil.cpp
 
+    json/jsonp.cpp
+
     knowledgedb/asset-attributions.qrc
     knowledgedb/linemetadata.cpp
 
@@ -149,8 +151,6 @@
 
 ecm_generate_headers(KPublicTransport_FORWARDING_HEADERS
     HEADER_NAMES
-        DepartureReply
-        DepartureRequest
         JourneyReply
         JourneyRequest
         LocationReply
@@ -180,7 +180,6 @@
         Backend
         CoverageArea
         Datatypes
-        Departure
         Disruption
         Equipment
         IndividualTransport
@@ -201,7 +200,6 @@
     HEADER_NAMES
         AbstractQueryModel
         BackendModel
-        DepartureQueryModel
         JourneyQueryModel
         LocationHistoryModel
         LocationQueryModel

=== debian/changelog ===
kpublictransport (23.04.3-1) unstable; urgency=medium

  * Team upload.
  * Add Build-Depends-Package to symbols file.
  * Re-export upstream signing key without extra signatures.
  * Update symbols from buildds for 23.04.2.
  * Release to unstable with new lib libkpublictransportonboard1.
  * Update symbols from build for 23.04.3.
  * Replace build-deps: pkg-config -> pkgconf.

 -- Sandro Knauß <hefee@debian.org>  Sun, 18 Feb 2024 21:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5i18n-dev,
                libkf5networkmanagerqt-dev,
                libprotobuf-dev,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15),
                qtdeclarative5-dev (>= 5.15),

## kpublictransport 23.08.0

=== debian/changelog ===
kpublictransport (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:27 +0100

kpublictransport (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key, copied from k3b

  [ Rik Mills ]
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:59 +0100

kpublictransport (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:28 +0100

kpublictransport (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update Build-Depends:
    - add libkf5i18n-dev
    - add libkf5networkmanagerqt-dev
  * Add new library libkpublictransportonboard1
  * Disable autotests
  * New upstream release (23.04.2)
  * Update symbols
  * Add libpolyclipping-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:40 +0100

kpublictransport (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:06 +0000

kpublictransport (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:08 -0600

kpublictransport (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:49 +0000

kpublictransport (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 12:56:06 +0000

kpublictransport (22.12.0-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * New upstream release
  * Removed obsolete entries from libkpublictransport.install

  [ Aurélien COUDERC ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Dec 2022 15:06:18 +0100

kpublictransport (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:35 +0000

kpublictransport (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:49 +0000

kpublictransport (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:00 +0000

kpublictransport (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:50 +0000

## kpublictransport 23.08.1

=== debian/changelog ===
kpublictransport (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:25 +0100

## kpublictransport 23.08.4

=== debian/changelog ===
kpublictransport (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:38 +0000

kpublictransport (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:47 +0000

kpublictransport (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:35 +0100
